Ticket #41964

Ruledit: req_edit.h has unnecessary includes

Open Date: 2021-04-10 17:55 Last Update: 2021-04-30 18:37

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

req_edit.h includes Qt classes when forward declarations would be enough (only pointers used in the class declaration)

Ticket History (3/5 Histories)

2021-04-10 17:55 Updated by: cazfi
  • New Ticket "Ruledit: req_edit.h has unnecessary includes" created
2021-04-17 07:38 Updated by: cazfi
2021-04-30 18:37 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login